C**************************************************************************
C PGL - FORTRAN PARAMETERS & FUNCTION DECLARATIONS
C Copyright (c) 1991 AnSoft, Inc.     
C 
C Microsoft Fortran, Lahey Fortran
C**************************************************************************
C	Page Orientation  constants
      INTEGER*2  pgPORTRAIT
      INTEGER*2  pgLANDSCAPE
      PARAMETER (pgPORTRAIT  =0)
      PARAMETER (pgLANDSCAPE =1)

C	Page Size  constants
      INTEGER*2 pgHALFPAGE
      INTEGER*2 pgFULLPAGE
      INTEGER*2 pgQUARTERPAGE
      PARAMETER (pgHALFPAGE    =0)
      PARAMETER (pgFULLPAGE    =1)
      PARAMETER (pgQUARTERPAGE =2)

C	Device Type  constants
      INTEGER*2 pgDOTMATRIX
      INTEGER*2 pgLASERJET
      INTEGER*2 pgPCX
      INTEGER*2 pgEPS
      PARAMETER (pgDOTMATRIX =0)
      PARAMETER (pgLASERJET  =1)
      PARAMETER (pgPCX       =2)
      PARAMETER (pgEPS       =3)

C	Printer ON/OFF definition constants
      INTEGER*2  pgOFF
      INTEGER*2  pgON
      PARAMETER  (pgOFF =0)
      PARAMETER  (pgON  =1)

C	Line style definition constants
      INTEGER*2  pgLSOLID    
      INTEGER*2  pgLHUGEDASH 
      INTEGER*2  pgLBIGDASH  
      INTEGER*2  pgLMEDDASH  
      INTEGER*2  pgLSMALLDASH
      INTEGER*2  pgLWIDEDOT  
      INTEGER*2  pgLCLOSEDOT 
      INTEGER*2  pgLDASHDOT  
      INTEGER*2  pgLCENTER   
      PARAMETER  (pgLSOLID     = 0)
      PARAMETER  (pgLHUGEDASH  = 1)
      PARAMETER  (pgLBIGDASH   = 2)
      PARAMETER  (pgLMEDDASH   = 3)
      PARAMETER  (pgLSMALLDASH = 4)
      PARAMETER  (pgLWIDEDOT   = 5)
      PARAMETER  (pgLCLOSEDOT  = 6)
      PARAMETER  (pgLDASHDOT   = 7)
      PARAMETER  (pgLCENTER    = 8)

C	Fill Style Definition constants
      INTEGER*2  pgFEMPTY
      INTEGER*2  pgFSOLID
      INTEGER*2  pgFLINE      
      INTEGER*2  pgFLTSLASH   
      INTEGER*2  pgFSLASH     
      INTEGER*2  pgFBKSLASH   
      INTEGER*2  pgFLTBKSLASH 
      INTEGER*2  pgFHATCH     
      INTEGER*2  pgFXHATCH    
      INTEGER*2  pgFINTERLEAVE
      INTEGER*2  pgFWIDEDOT   
      INTEGER*2  pgFCLOSEDOT  
      PARAMETER  (pgFEMPTY      =0)
      PARAMETER  (pgFSOLID      =1)
      PARAMETER  (pgFLINE       =2)
      PARAMETER  (pgFLTSLASH    =3)
      PARAMETER  (pgFSLASH      =4)
      PARAMETER  (pgFBKSLASH    =5)
      PARAMETER  (pgFLTBKSLASH  =6)
      PARAMETER  (pgFHATCH      =7)
      PARAMETER  (pgFXHATCH     =8)
      PARAMETER  (pgFINTERLEAVE =9)
      PARAMETER  (pgFWIDEDOT    =10)
      PARAMETER  (pgFCLOSEDOT   =11)
                  
C       Fill Mode 
      INTEGER*2  pgTRANS
      INTEGER*2  pgOPAQ
      PARAMETER  (pgTRANS	     =0)
      PARAMETER  (pgOPAQ	     =1)

C     Text Justification  constants
      INTEGER*2 pgLEFT    
      INTEGER*2 pgCENTER  
      INTEGER*2 pgRIGHT   
      INTEGER*2 pgBOTTOM  
      INTEGER*2 pgTOP     
      PARAMETER (pgLEFT    =0)
      PARAMETER (pgCENTER  =1)
      PARAMETER (pgRIGHT   =2)
      PARAMETER (pgBOTTOM  =0)
      PARAMETER (pgTOP     =2)

C     Font Style constants
      INTEGER*2  pgSMALL    
      INTEGER*2  pgSIMPLEX  
      INTEGER*2  pgDUPLEX   
      INTEGER*2  pgTRIPLEX  
      INTEGER*2  pgGOTHIC   
      INTEGER*2  pgSCRIPT   
      INTEGER*2  pgSDUPLEX 
      PARAMETER (pgSMALL    =0)
      PARAMETER (pgSIMPLEX  =1)
      PARAMETER (pgDUPLEX   =2)
      PARAMETER (pgTRIPLEX  =3)
      PARAMETER (pgGOTHIC   =4)
      PARAMETER (pgSCRIPT   =5)
      PARAMETER (pgSDUPLEX  =6)
       
C	Fill Flag constants
      INTEGER*2 pgOUTLINE 
      INTEGER*2 pgFILL    
      INTEGER*2 pgOFILL   
      PARAMETER (pgOUTLINE =1)
      PARAMETER (pgFILL    =2)
      PARAMETER (pgOFILL   =3)


C Function to Get Printer Driver Device Info 
      INTEGER*2   pgLoadDevInfo

C Functions To Get Info About Current Driver - Res Independent
      INTEGER*2    pgGetDevModes    
      INTEGER*2    pgGetDevType
      INTEGER*2    pgGetDevHeight    
      INTEGER*2    pgGetDevWidth
      INTEGER*2    pgGetDevOffsetX
      INTEGER*2    pgGetDevOffsetY

C Functions To Get Info About Current Driver - Res Dependent
      INTEGER*2    pgGetDevColors
      INTEGER*2    pgGetDevMaxX
      INTEGER*2    pgGetDevMaxY
      INTEGER*2    pgGetDevResX
      INTEGER*2    pgGetDevResY
      INTEGER*2    pgGetDevPlanes

C PGL System Functions
      INTEGER*2   pgGetStatus

C PGL Functions to Get Graphics Parameters 
      INTEGER*2    pgGetColor
      INTEGER*2    pgGetFillMode
      INTEGER*2    pgGetLineWeight
      INTEGER*2    pgGetMaxX
      INTEGER*2    pgGetMaxY
      INTEGER*2    pgGetTextBolding
      INTEGER*2    pgGetCharSpacing
      INTEGER*2    pgGetTextStyle
      INTEGER*2    pgGetClipping
      INTEGER*2    pgGetPrn
      INTEGER*2    pgGetTextHeight
      INTEGER*2    pgGetX
      INTEGER*2    pgGetY
      INTEGER*2    pgGetAbsX
      INTEGER*2    pgGetAbsY
      INTEGER*2    pgGetTextLength

